classification
Title: Add SMTPNotSupportedError in the exports of smtplib
Type: enhancement Stage: resolved
Components: email Versions: Python 3.7
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: Norman.Denayer, barry, maxking, miss-islington, r.david.murray
Priority: normal Keywords: patch

Created on 2019-10-01 20:50 by Norman.Denayer, last changed 2019-10-12 16:29 by maxking. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 16525 merged python-dev, 2019-10-01 20:52
PR 16590 merged miss-islington, 2019-10-05 00:31
PR 16721 merged miss-islington, 2019-10-11 20:42
Messages (5)
msg353712 - (view) Author: Norman Denayer (Norman.Denayer) * Date: 2019-10-01 20:50
Long story short:
smtplib.SMTPNotSupportedError seems the only exception not present in __all__ variable exposed by smtplib.py

Context:
I currently face an issue running mypy on one of my module:
...tools/email.py:46: error: Module has no attribute "SMTPNotSupportedError"
            except smtplib.SMTPNotSupportedError:

Digging into the context of this error, I note this exception is not exposed in the list __all__.

Regards,
Norman
msg353981 - (view) Author: Abhilash Raj (maxking) * (Python committer) Date: 2019-10-05 00:29
It seems that SMTPNotSupportedError is publicly documented, it should be a part of __all__.
msg353982 - (view) Author: Abhilash Raj (maxking) * (Python committer) Date: 2019-10-05 00:31
New changeset 3faf826e5879536d2272f1a51c58965a16827f81 by Abhilash Raj (nde) in branch 'master':
bpo-38341: Add SMTPNotSupportedError in the exports of smtplib (#16525)
https://github.com/python/cpython/commit/3faf826e5879536d2272f1a51c58965a16827f81
msg354533 - (view) Author: miss-islington (miss-islington) Date: 2019-10-12 16:08
New changeset 1da648aceb2496c672aff82ba37ee071ac6054ac by Miss Islington (bot) in branch '3.8':
bpo-38341: Add SMTPNotSupportedError in the exports of smtplib (GH-16525)
https://github.com/python/cpython/commit/1da648aceb2496c672aff82ba37ee071ac6054ac
msg354534 - (view) Author: miss-islington (miss-islington) Date: 2019-10-12 16:26
New changeset cb580d6fa8349acff723a7a044181d896d076871 by Miss Islington (bot) in branch '3.7':
bpo-38341: Add SMTPNotSupportedError in the exports of smtplib (GH-16525)
https://github.com/python/cpython/commit/cb580d6fa8349acff723a7a044181d896d076871
History
Date User Action Args
2019-10-12 16:29:37maxkingsetstatus: open -> closed
stage: patch review -> resolved
2019-10-12 16:26:08miss-islingtonsetmessages: + msg354534
2019-10-12 16:08:27miss-islingtonsetnosy: + miss-islington
messages: + msg354533
2019-10-11 20:42:25miss-islingtonsetpull_requests: + pull_request16299
2019-10-05 00:31:19miss-islingtonsetpull_requests: + pull_request16180
2019-10-05 00:31:01maxkingsetmessages: + msg353982
2019-10-05 00:29:40maxkingsetnosy: + maxking
messages: + msg353981
2019-10-01 20:52:27python-devsetkeywords: + patch
stage: patch review
pull_requests: + pull_request16116
2019-10-01 20:50:46Norman.Denayercreate